## rust-cdb 0.6.0

=== Makefile ===
all:
	cargo build
	cargo test
	$(MAKE) doc

doc:
	cargo doc --no-deps

upload:
	rsync -a --delete target/doc/ ../github/cdb-rs

=== debian/changelog ===
rust-cdb (0.6.0-1) experimental; urgency=medium

  * Package cdb 0.6.0 from crates.io using debcargo 2.7.11

 -- Ed Neville <ed-debian@s5h.net>  Tue, 20 Jan 2026 17:43:13 +0100

=== debian/control ===
Source: rust-cdb
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-filebuffer-1+default-dev <!nocheck>,
 librust-libc-0.2+default-dev (>= 0.2.4-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ed Neville <ed-debian@s5h.net>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cdb]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cdb
Homepage: https://github.com/bruceg/cdb-rs
X-Cargo-Crate: cdb

Package: librust-cdb-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-filebuffer-1+default-dev,
 librust-libc-0.2+default-dev (>= 0.2.4-~~)
Provides:
 librust-cdb+default-dev (= ${binary:Version}),
 librust-cdb-0-dev (= ${binary:Version}),
 librust-cdb-0+default-dev (= ${binary:Version}),
 librust-cdb-0.6-dev (= ${binary:Version}),
 librust-cdb-0.6+default-dev (= ${binary:Version}),
 librust-cdb-0.6.0-dev (= ${binary:Version}),
 librust-cdb-0.6.0+default-dev (= ${binary:Version})
Description: Pure Rust library to read and write CDB files - Rust source code
 Source code for Debianized Rust crate "cdb"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test cdb 0.6.0 --all-targets --all-features
Features: test-name=rust-cdb:@
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cdb 0.6.0 --all-targets
Features: test-name=librust-cdb-dev:default
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cdb 0.6.0 --all-targets --no-default-features
Features: test-name=librust-cdb-dev:
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/cdb
Matching-Pattern:  .*/crates/cdb/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/cdb-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
